Page MenuHomePhabricator

Adds fixit hints to the Wrange-loop-analysis
ClosedPublic

Authored by Mordante on Oct 12 2019, 8:55 AM.

Diff Detail

Event Timeline

Mordante created this revision.Oct 12 2019, 8:55 AM
aaron.ballman added inline comments.Oct 13 2019, 12:56 PM
clang/lib/Sema/SemaStmt.cpp
2765–2766

I don't think the diagnostic should point to the end of the type specification rather than the beginning. That puts the caret in a rather strange location for the diagnostic.

Mordante updated this revision to Diff 225782.Oct 20 2019, 7:02 AM

Undo the changes to the caret position as requested by @aaron.ballman .

Mordante marked an inline comment as done.Oct 20 2019, 7:02 AM
This revision is now accepted and ready to land.Oct 23 2019, 7:01 AM

Mordante, do you need someone to land this for you?

Mordante, do you need someone to land this for you?

Thanks for the offer, but it's not required. I want to commit it once I fixed all issues that would be introduced by D68912

This revision was automatically updated to reflect the committed changes.